from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.container import XIndexAccess

@runtime_checkable
class XTableRows(XIndexAccess, Protocol):
    def insertByIndex(self, nIndex: int, nCount: int) -> None: ...
    def removeByIndex(self, nIndex: int, nCount: int) -> None: ...
